Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231827 - Lack of support for a SCSI adapter causes anaconda to trigger an exception
Summary: Lack of support for a SCSI adapter causes anaconda to trigger an exception
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 12:29 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 18:24:59 UTC


Attachments (Terms of Use)
The anaconda exception log (deleted)
2007-03-12 12:29 UTC, Lubomir Kundrak
no flags Details

Description Lubomir Kundrak 2007-03-12 12:29:50 UTC
Description of problem:

An attempt to install -devel in Vmware results in an exception when no
drives are found. The emulated hardware is following:

00:10.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X
Fusion-MPT Dual Ultra320 SCSI (rev 01)

/proc/partitions contain the following:

major minor  #blocks  name
   7     0      82280 loop0

The emulated adapter works fine with released versions of RHEL and Fedora,
and thus I believe it should also do with devel.

Another pitfall is the way anaconda handles exceptions. It's a pity that
after saving the debug log to a floppy the only choice the user is given
is to 'Reboot'. It would be cool if he could enter a debugger, or maybe
save the log to another floppy, or whatever. It makes no sense to give him
a modal dialog with only one choice.

Additional info:

Here's the call stack. I attach the complete log.

Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/autopart_type.py", line 286, in getScreen
    defaultBoot = self.anaconda.id.bootloader.drivelist[0]
  File "/usr/lib/anaconda/gui.py", line 1128, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1224, in setup_window
    self.setScreen()
  File "/usr/lib/anaconda/gui.py", line 1234, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 991, in run
    self.icw.run (self.runres)
  File "/usr/bin/anaconda", line 956, in <module>
    anaconda.intf.run(anaconda)
IndexError: list index out of range

Comment 1 Lubomir Kundrak 2007-03-12 12:29:50 UTC
Created attachment 149819 [details]
The anaconda exception log

Comment 2 Jeremy Katz 2007-03-23 18:24:59 UTC
Should be better for test3


Note You need to log in before you can comment on or make changes to this bug.